////////////////////////////////////////////////////////////////////// 
// relativeFinder/RelativeParameters.h 
// (c) 2000-2010 Goncalo Abecasis
// 
// This file is distributed as part of the Goncalo source code package   
// and may not be redistributed in any form, without prior written    
// permission from the author. Permission is granted for you to       
// modify this file for your own personal use, but modified versions  
// must retain this copyright notice and must not be distributed.     
// 
// Permission is granted for you to use this file to compile Goncalo.    
// 
// All computer programs have bugs. Use this file at your own risk.   
// 
// Wednesday May 19, 2010
// 
 
#ifndef __RELATIVEPARAMETERS_H__
#define __RELATIVEPARAMETERS_H__

#include "MerlinParameters.h"

class RelativeParameters : public ParameterList
   {
   public:
      String pedigreeFile;
      String dataFile;
      String mapFile;
      String freqFile;
      int    alleleFrequencies;
      int    random_seed;

      static int    maxMegabytes;
      static bool   trimPedigree;
      static bool   simulateNull;
      static bool   fitErrorRate;
      static int    reruns;
      static double clusterDistance;
      static double clusterRsquared;
      static String clusterFile;
      static bool   allPairs;
      static bool   withinFamilyPairs;
      static int    job;
      static int    jobCount;

      RelativeParameters();

      virtual void Read(int argc, char ** argv, int start = 1);
   };

#endif
 
